Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 2122170 - Review Request: easyloggingpp - C++ logging library
Summary: Review Request: easyloggingpp - C++ logging library
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Benson Muite
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: fedora-neuro, NeuroFedora
TreeView+ depends on / blocked
 
Reported: 2022-08-29 12:29 UTC by Ben Beasley
Modified: 2022-09-13 01:29 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2022-09-02 17:27:49 UTC
Type: ---
Embargoed:
benson_muite: fedora-review+


Attachments (Terms of Use)

Description Ben Beasley 2022-08-29 12:29:34 UTC
Spec URL: https://music.fedorapeople.org/easyloggingpp.spec
SRPM URL: https://music.fedorapeople.org/easyloggingpp-9.97.0^git20210202-1.fc36.src.rpm

Description:

Easylogging++ is an efficient logging library for C++ applications. It is
extremely powerful, highly extendable and configurable to a user’s
requirements. It provides the ability to write your own sinks (via featured
referred as LogDispatchCallback). This library is currently used by hundreds of
open-source projects on github and other open-source source control management
sites.

Fedora Account System Username: music

F38: https://koji.fedoraproject.org/koji/taskinfo?taskID=91399535
F37: https://koji.fedoraproject.org/koji/taskinfo?taskID=91399536
F36: https://koji.fedoraproject.org/koji/taskinfo?taskID=91399538
F35: https://koji.fedoraproject.org/koji/taskinfo?taskID=91399540

This is intended for unbundling from python-steps, and perhaps from et and corectrl.

Comment 1 Benson Muite 2022-08-30 16:29:27 UTC
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- Header files in -devel subpackage, if present.
  Note: easyloggingpp-doc :
  /usr/share/doc/easyloggingpp/samples/API/easylogging++.h easyloggingpp-
  doc : /usr/share/doc/easyloggingpp/samples/MinGW/easylogging++.h
  easyloggingpp-doc :
  /usr/share/doc/easyloggingpp/samples/OpenGL/Cube/imageloader.h
  easyloggingpp-doc :
  /usr/share/doc/easyloggingpp/samples/OpenGL/easylogging++.h
  easyloggingpp-doc :
  /usr/share/doc/easyloggingpp/samples/Qt/basic/easylogging++.h
  easyloggingpp-doc :
  /usr/share/doc/easyloggingpp/samples/Qt/basic/mythread.h easyloggingpp-
  doc : /usr/share/doc/easyloggingpp/samples/Qt/fast-
  dictionary/ui_mainwindow.h easyloggingpp-doc :
  /usr/share/doc/easyloggingpp/samples/Qt/file-splitter-joiner/about.h
  easyloggingpp-doc : /usr/share/doc/easyloggingpp/samples/Qt/file-
  splitter-joiner/addsplittedfiledialog.h easyloggingpp-doc :
  /usr/share/doc/easyloggingpp/samples/Qt/file-splitter-
  joiner/easylogging++.h easyloggingpp-doc :
  /usr/share/doc/easyloggingpp/samples/Qt/file-splitter-joiner/joinercore.h
  easyloggingpp-doc : /usr/share/doc/easyloggingpp/samples/Qt/file-
  splitter-joiner/joinerwidget.h easyloggingpp-doc :
  /usr/share/doc/easyloggingpp/samples/Qt/file-splitter-joiner/mainwindow.h
  easyloggingpp-doc : /usr/share/doc/easyloggingpp/samples/Qt/file-
  splitter-joiner/partprocessor.h easyloggingpp-doc :
  /usr/share/doc/easyloggingpp/samples/Qt/file-splitter-
  joiner/splitablefiledelegate.h easyloggingpp-doc :
  /usr/share/doc/easyloggingpp/samples/Qt/file-splitter-
  joiner/splittercore.h easyloggingpp-doc :
  /usr/share/doc/easyloggingpp/samples/Qt/file-splitter-
  joiner/splitterwidget.h easyloggingpp-doc :
  /usr/share/doc/easyloggingpp/samples/Qt/shared-lib/myapp/easylogging++.h
  easyloggingpp-doc : /usr/share/doc/easyloggingpp/samples/Qt/shared-
  lib/mylib/easylogging++.h easyloggingpp-doc :
  /usr/share/doc/easyloggingpp/samples/STL/easylogging++.h easyloggingpp-
  doc : /usr/share/doc/easyloggingpp/samples/STL/shared-static-
  libs/easylogging++.h easyloggingpp-doc :
  /usr/share/doc/easyloggingpp/samples/STL/shared-static-
  libs/lib/include/easylogging++.h easyloggingpp-doc :
  /usr/share/doc/easyloggingpp/samples/VC++/VCPP2015_Win32/VCPP2015_Win32/easylo
gging++.h
  easyloggingpp-doc :
  /usr/share/doc/easyloggingpp/samples/VC++/VCPP2015_Win32_Multithreaded/VCPP201
5_Win32/easylogging++.h
  easyloggingpp-doc :
  /usr/share/doc/easyloggingpp/samples/async/easylogging++.h easyloggingpp-
  doc : /usr/share/doc/easyloggingpp/samples/async/mymath.h easyloggingpp-
  doc : /usr/share/doc/easyloggingpp/samples/boost/easylogging++.h
  easyloggingpp-doc :
  /usr/share/doc/easyloggingpp/samples/gtkmm/easylogging++.h easyloggingpp-
  doc :
  /usr/share/doc/easyloggingpp/samples/gtkmm/hello_gtkmm/easylogging++.h
  easyloggingpp-doc :
  /usr/share/doc/easyloggingpp/samples/gtkmm/hello_gtkmm/window.h
  easyloggingpp-doc : /usr/share/doc/easyloggingpp/samples/send-to-
  network/easylogging++.h easyloggingpp-doc :
  /usr/share/doc/easyloggingpp/samples/wxWidgets/easylogging++.h
  See: https://docs.fedoraproject.org/en-US/packaging-
  guidelines/#_devel_packages


===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: If your application is a C or C++ application you must list a
     BuildRequires against gcc, gcc-c++ or clang.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Unknown or generated", "MIT License", "BSD 3-Clause License",
     "*No copyright* [generated file]". 333 files have unknown license.
     Detailed output of licensecheck in
     /home/FedoraPackaging/easyloggingpp/2122170-easyloggingpp/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package must not depend on deprecated() packages.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 0 bytes in 0 files.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[-]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in
     easyloggingpp-devel
[x]: Package functions as described.
[?]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Patches link to upstream bugs/comments/lists or are otherwise
     justified.
[-]: Sources are verified with gpgverify first in %prep if upstream
     publishes signatures.
     Note: gpgverify is not used.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: The placement of pkgconfig(.pc) files are correct.
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Cannot parse rpmlint output:


Rpmlint (installed packages)
----------------------------
Cannot parse rpmlint output:


Source checksums
----------------
https://github.com/amrayn/easyloggingpp/archive/8489989bb26c6371df103f6cbced3fbe
e1bc3c2f/easyloggingpp-8489989bb26c6371df103f6cbced3fbee1bc3c2f.tar.gz :
  CHECKSUM(SHA256) this package     : 2bc421cd7c97aadeccc08ef6da0e1960c4da7d0798
32cfc6a2270186c51c2f88
  CHECKSUM(SHA256) upstream package : 2bc421cd7c97aadeccc08ef6da0e1960c4da7d0798
32cfc6a2270186c51c2f88


Requires
--------
easyloggingpp-devel (rpmlib, GLIBC filtered):
    /usr/bin/pkg-config

easyloggingpp-doc (rpmlib, GLIBC filtered):
    easyloggingpp-devel



Provides
--------
easyloggingpp-devel:
    easyloggingpp-devel
    easyloggingpp-static
    pkgconfig(easyloggingpp)

easyloggingpp-doc:
    easyloggingpp-doc



Generated by fedora-review 0.8.0 (e988316) last change: 2022-04-07
Command line :/usr/bin/fedora-review -b 2122170
Buildroot used: fedora-rawhide-x86_64
Active plugins: Shell-api, C/C++, Generic
Disabled plugins: Ocaml, Java, Perl, SugarActivity, R, PHP, Python, fonts, Haskell
Disabled flags: EPEL6, EPEL7, DISTTAG, BATCH, EXARCH

Comments:
a) Header files are ok in documentation as these are examples
b) Why not package a tagged release version rather than a commit?  The last release was only a few months before the last commit.
c) BSD 3 clause is for a file that is not packaged.

Comment 2 Ben Beasley 2022-08-30 16:40:15 UTC
Thank you for the review.

> a) Header files are ok in documentation as these are examples

I agree.

> b) Why not package a tagged release version rather than a commit?  The last release was only a few months before the last commit.

I commented in lines 1-2 of the spec file:

# We use a git snapshot because the release tag does not contain the
# CHANGELOG.md and README.md updates for the release.

The commits from the release tag to the selected commit only include irrelevant updates to FUNDING.yml and the CHANGELOG.md and README.md entries for the release I am packaging. Basically, upstream just tagged the release too soon.

> c) BSD 3 clause is for a file that is not packaged.

I agree, thus the License of simply “MIT”.

Comment 3 Ben Beasley 2022-08-30 16:41:42 UTC
If you are formally reviewing the package, in addition to making yourself the assignee, please also set the status to “ASSIGNED” and the fedora-review flag to “?”. Then, when you are satisfied, set the fedora-review flag to “+” and leave the status as “ASSIGNED”. Thanks!

Comment 4 Benson Muite 2022-08-31 03:05:20 UTC
Thanks. Approved.

Comment 5 Ben Beasley 2022-08-31 21:44:30 UTC
Thank you for the review! Repository requested: https://pagure.io/releng/fedora-scm-requests/issue/47232

Comment 6 Gwyn Ciesla 2022-09-01 13:47:12 UTC
(fedscm-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/easyloggingpp

Comment 7 Fedora Update System 2022-09-02 17:26:58 UTC
FEDORA-2022-d93a65507d has been submitted as an update to Fedora 38. https://bodhi.fedoraproject.org/updates/FEDORA-2022-d93a65507d

Comment 8 Fedora Update System 2022-09-02 17:27:49 UTC
FEDORA-2022-d93a65507d has been pushed to the Fedora 38 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 9 Fedora Update System 2022-09-03 12:39:23 UTC
FEDORA-2022-dfb0314351 has been submitted as an update to Fedora 37. https://bodhi.fedoraproject.org/updates/FEDORA-2022-dfb0314351

Comment 10 Fedora Update System 2022-09-03 21:46:11 UTC
FEDORA-2022-588a605741 has been submitted as an update to Fedora 36. https://bodhi.fedoraproject.org/updates/FEDORA-2022-588a605741

Comment 11 Fedora Update System 2022-09-03 22:01:20 UTC
FEDORA-2022-1817fae14b has been submitted as an update to Fedora 35. https://bodhi.fedoraproject.org/updates/FEDORA-2022-1817fae14b

Comment 12 Fedora Update System 2022-09-03 22:28:29 UTC
FEDORA-EPEL-2022-db97b93907 has been submitted as an update to Fedora EPEL 9. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2022-db97b93907

Comment 13 Fedora Update System 2022-09-03 23:44:35 UTC
FEDORA-2022-dfb0314351 has been pushed to the Fedora 37 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf install --enablerepo=updates-testing --refresh --advisory=FEDORA-2022-dfb0314351 \*`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2022-dfb0314351

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 14 Fedora Update System 2022-09-04 23:54:28 UTC
FEDORA-2022-588a605741 has been pushed to the Fedora 36 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf install --enablerepo=updates-testing --refresh --advisory=FEDORA-2022-588a605741 \*`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2022-588a605741

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 15 Fedora Update System 2022-09-05 00:02:45 UTC
FEDORA-2022-1817fae14b has been pushed to the Fedora 35 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf install --enablerepo=updates-testing --refresh --advisory=FEDORA-2022-1817fae14b \*`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2022-1817fae14b

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 16 Fedora Update System 2022-09-05 00:22:25 UTC
FEDORA-EPEL-2022-db97b93907 has been pushed to the Fedora EPEL 9 testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2022-db97b93907

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 17 Fedora Update System 2022-09-12 17:45:48 UTC
FEDORA-2022-dfb0314351 has been pushed to the Fedora 37 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 18 Fedora Update System 2022-09-13 00:38:26 UTC
FEDORA-EPEL-2022-db97b93907 has been pushed to the Fedora EPEL 9 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 19 Fedora Update System 2022-09-13 01:26:49 UTC
FEDORA-2022-588a605741 has been pushed to the Fedora 36 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 20 Fedora Update System 2022-09-13 01:29:57 UTC
FEDORA-2022-1817fae14b has been pushed to the Fedora 35 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.